<bugID>1206799<Summary>Communicate with RemoteNewTabLocation via messages</Summary><Description>RemoteNewTabLocation is assumed to be a singleton.

But since newTab.js runs in a content frame, it creates a new instance of RemoteNewTabLocation.

In order to get this working correctly, newTab.js needs to talk to the parent process' instance via message passing</Description></bugID>